"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = propsToObject;

function propsToObject({
  j,
  root,
  componentName,
  propName,
  props
}) {
  function buildObject(node, value) {
    const shorthand = node.value.expression && node.value.expression.name === node.name.name;
    const property = j.objectProperty(j.identifier(node.name.name), node.value.expression ? node.value.expression : node.value);
    property.shorthand = shorthand;
    value.push(property);
    return value;
  }

  return root.findJSXElements(componentName).forEach(path => {
    let propValue = [];
    const attributes = path.node.openingElement.attributes;
    attributes.forEach((node, index) => {
      // Only transform whitelisted props
      if (node.type === 'JSXAttribute' && props.includes(node.name.name)) {
        propValue = buildObject(node, propValue);
        delete attributes[index];
      }
    });

    if (propValue.length > 0) {
      attributes.push(j.jsxAttribute(j.jsxIdentifier(propName), j.jsxExpressionContainer(j.objectExpression(propValue))));
    }
  });
}